<!DOCTYPE html PUBLIC "-//W3C//DTD XHTML 1.0 Transitional//EN" "http://www.w3.org/TR/xhtml1/DTD/xhtml1-transitional.dtd">
<html xmlns="http://www.w3.org/1999/xhtml" xmlns:ui="http://java.sun.com/jsf/facelets" xmlns:h="http://java.sun.com/jsf/html" xmlns:f="http://java.sun.com/jsf/core"
	xmlns:ship="http://xmlns.jcp.org/jsf/composite/ship" xmlns:p="http://primefaces.org/ui" xmlns:c="http://java.sun.com/jsp/jstl/core">
<h:head></h:head>
<h:body>
	<ui:composition template="/pages/primodaltemplate.xhtml">
		<ui:define name="title">
			<h:outputText value="#{facesContext.translate('title.report.comment', reportModel.editReportBean.name)}" />
		</ui:define>
		<ui:define name="body">
			<p:staticMessage severity="info" detail="#{facesContext.translate('navigate.reportdesign.edit.content')}" />
			<ship:buttongroup>
				<p:commandLink id="btn_page" value="#{facesContext.translate('label.reportdesign.paginator.page')}" disabled="true" ajax="false" rendered="#{reportModel.editReportBean.hasPaginator}" />
				<ui:repeat value="#{reportModel.editReportBean.pages}" var="i" varStatus="status">
					<p:commandButton id="btn_setpage_#{status.index}" action="#{reportModel.editReportBean.setPage(i)}" value="#{i}"
						styleClass="#{reportModel.editReportBean.isCurrentPage(i) ? 'squareprimary' : ''}" ajax="false" rendered="#{reportModel.editReportBean.hasPaginator}" />
				</ui:repeat>
			</ship:buttongroup>
			<h:dataTable id="fields" value="#{reportModel.editReportBean.pageSnipplets}" var="s" headerClass="lefthalf, left, left" columnClasses="top, top, top" rowClasses="odd, even"
				styleClass="width100percent">
				<h:column>
					<p:panelGrid columns="2">
						<h:panelGroup>
							<h:inputTextarea id="markdowntext" value="#{s.markdowntext}" cols="#{profile.getConfig('config.report.textarea.columns', 80)}" rows="#{profile.getConfig('config.report.textarea.rows', 4)}"
								rendered="#{s.type.snipplettype == 'snipplettype.comment'}" styleClass="snipplettype#{s.type.id} form-control"
								onkeyup="ship.toggleCss('editform:fields:#{reportDesignModel.report.snippletsModel.rowIndex}:changebtn', 'btn-link', 'btn-warning')" />
							<h:outputText value="#{s.markdowntext}" rendered="#{s.type.snipplettype == 'snipplettype.text'}" />
							<h:outputText value="#{s.markdowntext}" rendered="#{s.type.snipplettype == 'snipplettype.fixedtext'}" />
							<h:outputText value="#{s.markdowntext}" rendered="#{s.type.snipplettype.contains('snipplettype.section')}" />
							<h:outputText value="TODO (1 calculation result)" rendered="#{s.type.snipplettype == 'snipplettype.result'}" />
							<h:outputText value="TODO (2 calculation results)" rendered="#{s.type.snipplettype == 'snipplettype.results'}" />
							<h:outputText value="#{s.markdowntext}" rendered="#{s.type.snipplettype == 'snipplettype.markdown'}" />
							<h:outputText value="#{s.markdowntext}" rendered="#{s.type.htmlComponent == 'textfield'}" />
							<ui:repeat value="#{s.codeLines}" var="l"
								rendered="#{s.type.snipplettype == 'snipplettype.rexport' or s.type.snipplettype == 'snipplettype.base64' or s.type.snipplettype == 'snipplettype.graph2x2'}">
								<h:graphicImage value="/snippletimage?param=#{s.uniqueId}@#{l.index}" rendered="#{s.type.snipplettype == 'snipplettype.base64' or s.type.snipplettype == 'snipplettype.graph2x2'}" />
								<h:outputText value="#{l.result}" rendered="#{s.type.snipplettype == 'snipplettype.rexport'}" />
							</ui:repeat>
						</h:panelGroup>
						<h:outputText value="#{facesContext.translate(s.type.snipplettype)}" />
					</p:panelGrid>
				</h:column>
			</h:dataTable>
			<ship:buttongroup>
				<p:commandLink id="btn_page2" value="#{facesContext.translate('label.reportdesign.paginator.page')}" disabled="true" rendered="#{reportModel.editReportBean.hasPaginator}" />
				<ui:repeat value="#{reportModel.editReportBean.pages}" var="i" varStatus="status">
					<p:commandButton id="btn_setpage_#{status.index}" action="#{reportModel.editReportBean.setPage(i)}" value="#{i}"
						styleClass="#{reportModel.editReportBean.isCurrentPage(i) ? 'squareprimary' : ''}" ajax="false" rendered="#{reportModel.editReportBean.hasPaginator}" />
				</ui:repeat>
			</ship:buttongroup>
		</ui:define>
		<ui:define name="formbuttons">
			<p:commandButton id="btn_updateandstay" action="#{reportController.doUpdateReportComment(false)}" value="#{facesContext.translate('button.approveandgoon')}" ajax="false" />
			<p:commandButton id="btn_updateandleave" action="#{reportController.doUpdateReportComment(true)}" value="#{facesContext.translate('button.approveandclose')}" ajax="false" />
			<p:commandButton id="btn_cancel" action="#{reportController.toShowByAbort(reportModel.editReportBean, true)}" value="#{facesContext.translate('button.cancel')}" immediate="true" ajax="false" />
		</ui:define>
	</ui:composition>
</h:body>
</html>